#ifndef MODULE4G_H
#define MODULE4G_H

#include <QObject>
#include <QTimer>
#include <QFile>
#include <QTextStream>
#include <QNetworkInterface>
#include <QHostInfo>

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

class module4g : public QObject
{
    Q_OBJECT
public:
    explicit module4g(QObject *parent = nullptr);

private:
    bool eth1_ip_kong;
    bool eth1_line_lan_flag;
    int times;
signals:
    void sig4gstate(bool flag);
    void SilencingKeyClick();
    void sigLanState(bool);
private slots:
    void onTimerTimeOutPing4g();
    void onTimerTimeOutCheck4g();
};

#endif // MODULE4G_H
